#include <stdio.h>

/*N is the maximum number of elements of the vector */

#define N 25

int main(void)
{
    int fibonacci[N]; /*vector of integers*/
    int elem_arv;     /*the number of elements selected by the user*/
    int i;            /*loop variable*/
    int arv1,arv2;    /*variables for entering user-selected indexes*/
    /*entering the number of elements*/
    printf("Enter the number of elements in the vector: ");
    scanf("%d", &elem_arv);
    /*check - the number of elements must be between 3 and 25*/
    while (elem_arv<3 ||elem_arv>25)
    {
          printf("The number of elements must be between 3 and 25!\n Please re-enter: ");
          scanf("%d", &elem_arv);
    }
    /*setting the values of the first two elements*/
    fibonacci[0]=1;      
    fibonacci[1]=1;          
    /*loop to calculate the remaining values since the first 2 values already exist, we start with the 3rd one*/
    for(i=2; i<elem_arv; i++)
    {
             fibonacci[i]=fibonacci[i-1]+fibonacci[i-2];
    }    
    /*we output the constructed vector*/
    printf("The created Fibonacci vector is: ");
    for(i=0; i<elem_arv; i++)
    {
             printf("%d ", fibonacci[i]);
    } 
    /*line change*/
    printf("\n"); /*query, insert and check two indexes*/
    do
    {
           printf("\nEnter indexes number1 and number2 in this way,\net 0<number1<%d, 0<number2<%d, number1<number2\n", elem_arv, elem_arv);
           scanf("%d %d", &arv1, &arv2);
    }while(arv2<=arv1||arv1<0||arv1>25||arv2<0||arv2>25);
    
    /* outputting the elements of a vector between two indices*/
    printf("Between the indices %d and %d are the elements of the Fibonacci series:\n",arv1,arv2);
    for(i=arv1; i<=arv2;i++)
    {
                printf("%d ",fibonacci[i-1]);
    }            
    printf("\n");
    printf("\nBetween the indices %d and %d are the elements of the Fibonacci series as a table:\n",arv1,arv2);    
    /*we output the table header*/
    printf("%12s %12s","INDEKSID:","ELEMENDID\n");
    for(i=arv1; i<=arv2;i++)
    {
                /*we output the index value and the element of the vector side by side*/
                printf("%12d %12d\n",i, fibonacci[i-1]);
    }            
    printf("\n");  
    return 0;
}    
    
